Bug 307181 - [RFE] Enable GPGme support
[RFE] Enable GPGme support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: balsa (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Pawel Salek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 10:53 EDT by Jakub 'Livio' Rusinek
Modified: 2008-06-16 22:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:30:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2007-09-26 10:53:07 EDT
Description of problem:
I can't sign my mail.

Version-Release number of selected component (if applicable):
2.3.17-2.fc7

How reproducible:
Always.

Steps to Reproduce:
1. Open Balsa
2. Select accounts options or something like that from Settings/Preferences
menu. Help says there should be GnuPG signing options.
  
Actual results:
There's no such option in accounts options.

Expected results:
There is such option in accounts options.

Additional info:
Maybe it is a configure flag?
Comment 1 Peter Bloomfield 2007-09-26 19:52:40 EDT
You're right, it is a configure flag.  The Fedora package is built without GPGme
support, so the page on the Identity dialog that offers signing and encryption
options is currently omitted--creating an inconsistency with the help file.  The
"New message" window's "Options" menu also has signing and encryption items,
which are also currently omitted when GPGme isn't included.

Including those items even when they're not supported, but grayed out, would
probably be less confusing--and more consistent with the help file.
Comment 2 Jakub 'Livio' Rusinek 2007-09-27 09:05:56 EDT
But if I want to sing my mail with Balsa?
Should I recompile mail?

Ximian/Novell Evolution is less native than Balsa.
Comment 3 Pawel Salek 2007-09-27 09:12:51 EDT
I guess it is then simplest to rename this bug as "[RFE] enable gpgme support"...
Comment 4 Bug Zapper 2008-05-14 10:31:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Peter Bloomfield 2008-05-14 13:30:20 EDT
(In reply to comment #2)
> But if I want to sing my mail with Balsa?
> Should I recompile mail?
> 
> Ximian/Novell Evolution is less native than Balsa.

Yes, you should reconfigure Balsa --with-gpgme.  We've fixed Balsa so that, when
configured --without-gpgme, the "Security" page is included in the "Identities"
dialog, but all controls are grayed out and a footnote explains the situation.
Comment 6 Bug Zapper 2008-06-16 22:30:01 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.